import sys

levelname = "tutorial"  # Change to "level1", "level2", or "level3" to skip ahead!
music = True
mvolume = 0.4  # Music volume
showfps = False
fullscreen = False
resolution = 800, 600  # If fullscreen is True, set this to 0, 0 to get maximum resolution
vel = 40.  # Crank this up to 50 to CHEAT!
msensitivity = 0.006  # Mouse sensitivity

if "--level1" in sys.argv:
    levelname = "level1"
if "--level2" in sys.argv:
    levelname = "level2"
if "--level3" in sys.argv:
    levelname = "level3"
if "--fps" in sys.argv or "--showfps" in sys.argv:
    showfps = True

if "--fullscreen" in sys.argv:
    fullscreen = True
    resolution = 0, 0
for arg in sys.argv:
    if arg.startswith("--r") and "x" in arg:
        x, y = arg[3:].split("x")
        resolution = int(x), int(y)
if "--cheat" in sys.argv:
    vel = 50.

if "--nomusic" in sys.argv:
    music = False

